/*
 * options-defaults.h
 * 
 * Copyright (C) 2006-2007  Josef Kufner <jk@myserver.cz>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
#ifndef JK_OPTIONS_DEFAULTS_H
#define JK_OPTIONS_DEFAULTS_H

/* defaults
 * (NULL terminated) */
struct s_options_defualts {
	char *cat;	/* category */
	char *mod;	/* module name */
	char *opt;	/* option name */
	int integer;	/* integer value, used if string is NULL */
	char *string;	/* string value, used if is not NULL */
} const options_defaults[] = {
	{ "main",	"dir",	"config_file",		0,	"~/.netboard2.rc" },
	{ "main",	"dir",	"base",			0,	"/usr/lib/games/netboard/" },
	{ "main",	"dir",	"startup_file",		0,	"" },
	{ "main",	"dir",	"network",		0,	"network/" },
	{ "main",	"dir",	"game",			0,	"games/" },
	{ "main",	"dir",	"data",			0,	"/usr/share/games/netboard/default/" },
	{ "main",	"ui",	"show_logs",		0,	NULL },
	{ "main",	"ui",	"autoswitch",		1,	NULL },
	{ "main",	"ui",	"pl_col_ack",		1,	NULL },
	{ "main",	"ui",	"pl_col_address",	0,	NULL },
	{ "main",	"ui",	"pl_col_connection",	0,	NULL },
	{ "main",	"ui",	"pl_col_nick",		1,	NULL },
	{ "main",	"ui",	"pl_col_role",		1,	NULL },
	{ "main",	"ui",	"pl_col_score",		0,	NULL },
	{ "main",	"net",	"address",		0,	"" },
	{ "main",	"net",	"profile",		0,	"def" },
	{ "main",	"net",	"backend",		0,	"jabber" },
	{ "network",	"def",	"name",			0,	"jabber" },
	{ "network",	"def",	"backend",		0,	"jabber" },
	{ "network",	"def",	"log_level",		0,	"1: normální" },
	{ NULL,		NULL,	NULL,			0,	NULL }
};


#endif

